# Exhibitor Contact Types Exhibitor Contact Types ## Gets all of the exhibitor contact types in the system. - [GET /exhibitorContactTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-contact-types/listexhibitorcontacttypes.md): This method will scan all exhibitor contact types and and return them to the caller. ## Creates a new exhibitor contact type record that does not already exist. - [POST /exhibitorContactTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-contact-types/createexhibitorcontacttype.md): This method will auto-generate an ID and create a new exhibitor contact type. If an ID is specified for the exhibitor contact type, an error will be thrown. ## Execute Batch Operations - [POST /exhibitorContactTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-contact-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a exhibitor contact type from the system by its ID. - [DELETE /exhibitorContactTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-contact-types/deleteexhibitorcontacttype.md): This method will delete a exhibitor contact type with the specified ID. ## Returns a exhibitor contact type from the system by its ID. - [GET /exhibitorContactTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-contact-types/getexhibitorcontacttype.md): This method will look up a exhibitor contact type by the specified ID and return it back. ## Partially updates a exhibitor contact type with the specified ID. - [PATCH /exhibitorContactTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-contact-types/patchexhibitorcontacttype.md): This method will patch an existing exhibitor contact type with the specified ID, using the HTTP PATCH specification. ## Updates a exhibitor contact type with the specified ID. - [PUT /exhibitorContactTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-contact-types/updateexhibitorcontacttype.md): This method will update an existing exhibitor contact type with the specified ID.